Package org.apache.lucene.geo

# Class XYGeometry

java.lang.Object
org.apache.lucene.geo.Geometry
org.apache.lucene.geo.XYGeometry

Direct Known Subclasses:
  `XYCircle`, `XYLine`, `XYPoint`, `XYPolygon`, `XYRectangle`

public abstract class XYGeometry extends Geometry
Cartesian Geometry object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XYGeometry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Component2D`
  `create(XYGeometry... xyGeometries)`
  Creates a Component2D from the provided XYGeometries array

  ### Methods inherited from class org.apache.lucene.geo.Geometry

  `toComponent2D`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XYGeometry

    public XYGeometry()

- ## Method Details

  - ### create

    public static Component2D create(XYGeometry... xyGeometries)
    Creates a Component2D from the provided XYGeometries array